org.apache.ignite.internal.processors.cache.mvcc

## Class MvccCoordinator

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.mvcc.MvccCoordinator

All Implemented Interfaces:
  Serializable

    public class MvccCoordinator
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MvccCoordinator(UUID nodeId, long crdVer, AffinityTopologyVersion topVer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `coordinatorVersion()`
`boolean` `equals(Object o)`
`int` `hashCode()`
`UUID` `nodeId()`
`AffinityTopologyVersion` `topologyVersion()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MvccCoordinator

    public MvccCoordinator(UUID nodeId,
                           long crdVer,
                           AffinityTopologyVersion topVer)

Parameters:
  `nodeId` - Coordinator node ID.
  `crdVer` - Coordinator version.
  `topVer` - Topology version when coordinator was assigned.

### Method Detail

#### coordinatorVersion

    public long coordinatorVersion()

Returns:
  Unique coordinator version.

#### nodeId

    public UUID nodeId()

Returns:
  Coordinator node ID.

#### topologyVersion

    public AffinityTopologyVersion topologyVersion()

Returns:
  Topology version when coordinator was assigned.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018